Skip to main content
GET
/
companies
/
{companyId}
/
notes
Get Company Notes
curl --request GET \
  --url https://api.lemlist.com/api/companies/{companyId}/notes \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lemlist.com/api/companies/{companyId}/notes"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lemlist.com/api/companies/{companyId}/notes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://api.lemlist.com/api/companies/{companyId}/notes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'

response = http.request(request)
puts response.read_body
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.lemlist.com/api/companies/{companyId}/notes",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": [
    {
      "_id": "act_j0NrG6rYEPP9TMmWC",
      "teamId": "tea_8QvkOiBfPdb2ZRhHi",
      "companyId": "cpn_Qf4CJuUrNUNmHm6uZ",
      "createdAt": "2025-10-28T04:25:00.653Z",
      "note": "could help our GTM team be more productive",
      "userId": "usr_ahfFktBBHUIxbVG5P"
    },
    {
      "_id": "act_BYF2j06u0wgeLncub",
      "teamId": "tea_8QvkOiBfPdb2ZRhHi",
      "companyId": "cpn_Qf4CJuUrNUNmHm6uZ",
      "createdAt": "2025-10-24T12:42:40.605Z",
      "note": "Note created from the API!",
      "userId": "usr_ahfFktBBHUIxbVG5P"
    }
  ],
  "total": 2
}
"Bad team"
"The authentication you supplied is incorrect"
"Company not found"
This endpoint uses the Company Note object.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

companyId
string
required

The unique identifier of the company

Query Parameters

limit
integer

Number of notes to retrieve. Default: 100. Maximum: 100

page
integer

Page number to retrieve

sortBy
enum<string>

The field by which to sort. Currently, only 'createdAt' is supported.

Available options:
createdAt
sortOrder
enum<string>

The sort direction. Use 'desc' for descending order; any other value (or omission) will sort in ascending order.

Available options:
asc,
desc

Response

Success

data
object[]
required
total
integer
required